package com.zhongshu.card.client.service.school;

import com.zhongshu.card.client.model.school.DictInfoParam;
import com.zhongshu.card.client.model.school.DictInfoSearch;
import com.github.microservice.net.ResultContent;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 字典
 *
 * @author TRX
 * @date 2024/6/12
 */
public interface DictInfoService {

    ResultContent addDict(DictInfoParam param);

    ResultContent deleteDict(String id);

    ResultContent<DictInfoParam> getDictInfo(String id);

    ResultContent<Page<DictInfoParam>> page(DictInfoSearch param, Pageable pageable);

    ResultContent<List<DictInfoParam>> findDictInfosByOid(DictInfoSearch param);

}
